Bug 1498140 - Hot-unplugging a vhost network device leaks references to VFIOPCIDevice's [OSP 9]
Summary: Hot-unplugging a vhost network device leaks references to VFIOPCIDevice's [OS...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 9.0 (Mitaka)
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: zstream
: 9.0 (Mitaka)
Assignee: Virtualization Maintenance
QA Contact: Shai Revivo
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On: 1490742
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-03 14:39 UTC by Jason Joyce
Modified: 2017-12-14 22:29 UTC (History)
20 users (show)

(edit)
Hot-unplugging Virtual Function I/O (VFIO) devices previously failed when performed after hot-unplugging a vhost network device. This update fixes the underlying code, and the VFIO device is unplugged correctly in the described circumstances.
Clone Of: 1490742
(edit)
Last Closed: 2017-12-14 22:29:16 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3470 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-12-15 03:10:57 UTC
Red Hat Bugzilla 1371930 None None None 2017-10-03 14:39 UTC

Comment 9 errata-xmlrpc 2017-12-14 22:29:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3470


Note You need to log in before you can comment on or make changes to this bug.